| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
GaudiConfig.ControlFlow.ControlFlowBool Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.ControlFlowBool:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.ControlFlowBool:
[legend]

## Public Member Functions
def | __init__ (self, value)
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| value

## Detailed Description

Definition at line 65 of file ControlFlow.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiConfig.ControlFlow.ControlFlowBool.__init__ | ( |  | self,
|  |  | value
| ) |  |

Definition at line 66 of file ControlFlow.py.

66 def __init__(self, value):
67 self.value = value
68

## Member Function Documentation

## ◆ __and__()

def GaudiConfig.ControlFlow.ControlFlowBool.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Reimplemented from GaudiConfig.ControlFlow.ControlFlowNode.

Definition at line 69 of file ControlFlow.py.

69 def __and__(self, rhs):
70 return rhs if self.value else self
71

## ◆ __invert__()

def GaudiConfig.ControlFlow.ControlFlowBool.__invert__ | ( |  | self | ) |

Reimplemented from GaudiConfig.ControlFlow.ControlFlowNode.

Definition at line 75 of file ControlFlow.py.

75 def __invert__(self):
76 return CFFalse if self.value else CFTrue
77

## ◆ __or__()

def GaudiConfig.ControlFlow.ControlFlowBool.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Reimplemented from GaudiConfig.ControlFlow.ControlFlowNode.

Definition at line 72 of file ControlFlow.py.

72 def __or__(self, rhs):
73 return self if self.value else rhs
74

## ◆ __repr__()

def GaudiConfig.ControlFlow.ControlFlowBool.__repr__ | ( |  | self | ) |

Definition at line 78 of file ControlFlow.py.

78 def __repr__(self):
79 return 'CFTrue' if self.value else 'CFFalse'
80
81
GaudiPython.HistoUtils.__repr__
__repr__
Definition: HistoUtils.py:508

## Member Data Documentation

## ◆ value

GaudiConfig.ControlFlow.ControlFlowBool.value

Definition at line 67 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py